Name:           avogadro
Version:        0.8.1
Release:        6%{?dist}
Summary:        Avogadro is an advanced Molecular editor

Group:          Applications/Editors
License:        GPLv2
URL:            http://avogadro.openmolecules.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake >= 2.4.5
BuildRequires:  qt4-devel >= 4.3.0
BuildRequires:  eigen-devel >= 1.0.5
BuildRequires:  openbabel-devel >= 2.2.0
BuildRequires:  python-devel >= 2.5.1
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-utils
BuildRequires:  docbook-utils-pdf

%description
Avogadro is an advanced molecular editor designed
for cross-platform use in computational chemistry,
molecular modeling, bioinformatics, materials science,
and related areas. It offers flexible rendering and
a powerful plugin architecture.


%package libs
Summary:        Shared libraries for Avogadro
Group:          System Environment/Libraries

%description libs
This package contains the shared libraries for the
molecular editor Avogadro.


%package devel
Summary:        Development files for Avogadro
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release} 

%description devel
This package contains files to develop applications using 
Avogadros libraries.


%prep
%setup -q
# permissions set by upstream would lead to rpmlint warning
# spurious-executable-perm in debuginfo package
chmod 0644 libavogadro/src/engines/iso.h
chmod 0644 libavogadro/src/tools/autoopttool.cpp
chmod 0644 libavogadro/src/tools/autoopttool.h


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} %{?BUILD_TESTS} -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_lib} ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

# app icon
install -p -D -m644 ./avogadro/src/icons/avogadro.svg $RPM_BUILD_ROOT/%{_datadir}/pixmaps/avogadro.svg

# system menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor=""                 \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications  \
  %{SOURCE1}


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING ./doc/pdf/index.pdf
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/%{name}.desktop


%files devel
%defattr(-,root,root,-)
%{_datadir}/libavogadro
%{_includedir}/%{name}
%{_libdir}/*.so


%files libs
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_libdir}/*.so.*


%changelog
* Sun Sep 14 2008 Sebastian Dziallas <sebastian@when.com> 0.8.1-6
- add handbook to docs

* Sun Sep 14 2008 Sebastian Dziallas <sebastian@when.com> 0.8.1-5
- add build requirements and fix group names

* Wed Aug 13 2008 Sebastian Dziallas <sebastian@when.com> 0.8.1-4
- fix typos

* Sat Aug  9 2008 Sebastian Dziallas <sebastian@when.com> 0.8.1-3
- reorganize spec file

* Sat Aug  9 2008 Sebastian Dziallas <sebastian@when.com> 0.8.1-2
- rename shared library package and structure spec file

* Sun Aug  3 2008 Sebastian Dziallas <sebastian@when.com> 0.8.1-1
- initial pacakging release based on PackMan release
